Method: vdc.proofUser

這個端點會使用發行者指定的證據清單,為特定裝置上的數位憑證驗證使用者身分。

HTTP 要求

POST https://example.issuer.com/api/v1/vdc/proofUser

要求主體

要求主體會包含結構如下的資料:

JSON 表示法
{
  "requestMetadata": {
    object (RequestMetadata)
  },
  "deviceReferenceId": string,
  "proofingId": string,
  "evidence": [
    {
      object (ProofingEvidence)
    }
  ],

  // Union field proofing_context can be only one of the following:
  "reverificationContext": {
    object (ReverificationContext)
  }
  // End of list of possible types for union field proofing_context.
}
欄位
requestMetadata

object (RequestMetadata)

所有要求都必須提供的要求中繼資料。

deviceReferenceId

string

與裝置和裝置相關聯的身分識別金鑰相應的 ID。這並非裝置 ID,也就是說,如果使用者在同一部裝置上擁有兩組不同的憑證,這兩個憑證的 ID 就會不同。

所有要求都會提供這個 ID,可用於建立要求之間的關聯。

proofingId

string

不透明的 ID,代表特定裝置的特定證據組合驗證。

例如:UUID

evidence[]

object (ProofingEvidence)

證明使用者擁有數位憑證所需的證據清單。

聯集欄位 proofing_context。校對的背景資訊。如為初始校對,請留空。proofing_context 只能是下列其中一項:
reverificationContext

object (ReverificationContext)

重新驗證證明的背景資訊。

回應主體

確認使用者數位憑證驗證要求的訊息,表示系統正在處理驗證。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "responseMetadata": {
    object (ResponseMetadata)
  },
  "proofingId": string
}
欄位
responseMetadata

object (ResponseMetadata)

回應的中繼資料,所有回應都必須提供。

proofingId

string

不透明的 ID,代表特定裝置的驗證,以及特定證據組合。這與要求中傳送的證明 ID 相同。

ProofingEvidence

代表單一證據的物件。

JSON 表示法
{

  // Union field evidence_type can be only one of the following:
  "preAuthorizationCode": {
    object (Evidence)
  }
  // End of list of possible types for union field evidence_type.
}
欄位
聯集欄位 evidence_type。這個 oneof 會指出證據的呈現方式。evidence_type 只能是下列其中一項:
preAuthorizationCode

object (Evidence)

核發機構傳送的預授權碼。

證據

代表單一證據的物件。

JSON 表示法
{

  // Union field presencetype can be only one of the following:
  "encryptedData": {
    object (EncryptedData)
  },
  "unencryptedValue": string,
  "unencryptedInteger": integer
  // End of list of possible types for union field presencetype.
}
欄位
聯集欄位 presencetype。這個 oneof 會指出證據的呈現方式。presencetype 只能是下列其中一項:
encryptedData

object (EncryptedData)

解密值所需的加密值和加密中繼資料。

unencryptedValue

string

證據的 Base64 編碼值。

unencryptedInteger

integer

證據的整數值。

ReverificationContext

觸發憑證重新驗證所需的環境。

JSON 表示法
{
  "credentialId": string
}
欄位
credentialId

string

執行重新驗證的憑證 ID。